﻿2026-06-02T10:15:22.6561584Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-02T10:15:22.6562121Z with:
2026-06-02T10:15:22.6562443Z   components: clippy
2026-06-02T10:15:22.6562746Z   toolchain: stable
2026-06-02T10:15:22.6563062Z ##[endgroup]
2026-06-02T10:15:22.6879939Z ##[group]Run : parse toolchain version
2026-06-02T10:15:22.6880359Z [36;1m: parse toolchain version[0m
2026-06-02T10:15:22.6880668Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-02T10:15:22.6881229Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-02T10:15:22.6881772Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-02T10:15:22.6882065Z [36;1m  exit 1[0m
2026-06-02T10:15:22.6882387Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-02T10:15:22.6883719Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-02T10:15:22.6884235Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.6884763Z [36;1m  else[0m
2026-06-02T10:15:22.6885140Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.6885563Z [36;1m  fi[0m
2026-06-02T10:15:22.6885845Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-02T10:15:22.6886339Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.6886773Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-02T10:15:22.6887271Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.6887750Z [36;1melse[0m
2026-06-02T10:15:22.6887987Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.6888286Z [36;1mfi[0m
2026-06-02T10:15:22.6904114Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:22.6904527Z env:
2026-06-02T10:15:22.6904712Z   toolchain: stable
2026-06-02T10:15:22.6904919Z ##[endgroup]
2026-06-02T10:15:22.8554726Z ##[group]Run : construct rustup command line
2026-06-02T10:15:22.8555116Z [36;1m: construct rustup command line[0m
2026-06-02T10:15:22.8555576Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.8556262Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.8556977Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:22.8570498Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:22.8570945Z env:
2026-06-02T10:15:22.8571204Z   targets: 
2026-06-02T10:15:22.8572065Z   components: clippy
2026-06-02T10:15:22.8572376Z ##[endgroup]
2026-06-02T10:15:22.9504070Z ##[group]Run : set $CARGO_HOME
2026-06-02T10:15:22.9504391Z [36;1m: set $CARGO_HOME[0m
2026-06-02T10:15:22.9504717Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-02T10:15:22.9516107Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:22.9516516Z ##[endgroup]
2026-06-02T10:15:23.0086898Z ##[group]Run : install rustup if needed on windows
2026-06-02T10:15:23.0087301Z [36;1m: install rustup if needed on windows[0m
2026-06-02T10:15:23.0087612Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-02T10:15:23.0088356Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-02T10:15:23.0089605Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-02T10:15:23.0090182Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-02T10:15:23.0092759Z [36;1mfi[0m
2026-06-02T10:15:23.0104012Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:23.0104512Z env:
2026-06-02T10:15:23.0104712Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:23.0104980Z ##[endgroup]
2026-06-02T10:15:23.0734089Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-02T10:15:23.0734791Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-02T10:15:23.0746021Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:23.0746423Z env:
2026-06-02T10:15:23.0746619Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:23.0746895Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-02T10:15:23.0747338Z ##[endgroup]
2026-06-02T10:15:25.4918918Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-02T10:15:26.3492480Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:26.3845270Z info: removing previous version of component clippy
2026-06-02T10:15:26.4049312Z info: removing previous version of component rustfmt
2026-06-02T10:15:26.4252473Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-02T10:15:26.5515838Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-02T10:15:26.6454592Z info: removing previous version of component cargo
2026-06-02T10:15:26.7675329Z info: removing previous version of component rust-std
2026-06-02T10:15:26.8827088Z info: removing previous version of component rustc
2026-06-02T10:15:26.9941070Z info: downloading 7 components
2026-06-02T10:15:41.6877025Z 
2026-06-02T10:15:41.9883376Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-02T10:15:41.9887593Z 
2026-06-02T10:15:42.0229105Z ##[group]Run rustup default stable
2026-06-02T10:15:42.0229575Z [36;1mrustup default stable[0m
2026-06-02T10:15:42.0245005Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:42.0245611Z env:
2026-06-02T10:15:42.0245907Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:42.0246301Z ##[endgroup]
2026-06-02T10:15:42.1807182Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-02T10:15:42.1882505Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-02T10:15:42.1883023Z 
2026-06-02T10:15:42.2177034Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:42.2181477Z 
2026-06-02T10:15:42.2626009Z ##[group]Run : create cachekey
2026-06-02T10:15:42.2626454Z [36;1m: create cachekey[0m
2026-06-02T10:15:42.2627223Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-02T10:15:42.2628249Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-02T10:15:42.2629025Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:42.2645247Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:42.2645856Z env:
2026-06-02T10:15:42.2646151Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:42.2646552Z ##[endgroup]
2026-06-02T10:15:43.2080799Z ##[group]Run : disable incremental compilation
2026-06-02T10:15:43.2081389Z [36;1m: disable incremental compilation[0m
2026-06-02T10:15:43.2081894Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-02T10:15:43.2082413Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-02T10:15:43.2082854Z [36;1mfi[0m
2026-06-02T10:15:43.2095991Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:43.2096667Z env:
2026-06-02T10:15:43.2096962Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:43.2097366Z ##[endgroup]
2026-06-02T10:15:43.2976400Z ##[group]Run : enable colors in Cargo output
2026-06-02T10:15:43.2976977Z [36;1m: enable colors in Cargo output[0m
2026-06-02T10:15:43.2977449Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-02T10:15:43.2977971Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-02T10:15:43.2978423Z [36;1mfi[0m
2026-06-02T10:15:43.2993278Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:43.2993918Z env:
2026-06-02T10:15:43.2994225Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:43.2994641Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:43.2994954Z ##[endgroup]
2026-06-02T10:15:43.3952301Z ##[group]Run : enable Cargo sparse registry
2026-06-02T10:15:43.3952851Z [36;1m: enable Cargo sparse registry[0m
2026-06-02T10:15:43.3953674Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-02T10:15:43.3954746Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-02T10:15:43.3955868Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-02T10:15:43.3956659Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:15:43.3957441Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-02T10:15:43.3958235Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-02T10:15:43.3959047Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:15:43.3959795Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-02T10:15:43.3960340Z [36;1m  fi[0m
2026-06-02T10:15:43.3960628Z [36;1mfi[0m
2026-06-02T10:15:43.3975527Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:43.3976122Z env:
2026-06-02T10:15:43.3976433Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:43.3976795Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:43.3977075Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:43.3977364Z ##[endgroup]
2026-06-02T10:15:43.8199897Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-02T10:15:43.8200548Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-02T10:15:43.8201327Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-02T10:15:43.8202233Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-02T10:15:43.8202886Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-02T10:15:43.8204065Z [36;1mfi[0m
2026-06-02T10:15:43.8217611Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:43.8218241Z env:
2026-06-02T10:15:43.8218532Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:43.8218928Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:43.8219254Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:43.8219573Z ##[endgroup]
2026-06-02T10:15:44.0369859Z ##[group]Run rustc +stable --version --verbose
2026-06-02T10:15:44.0370711Z [36;1mrustc +stable --version --verbose[0m
2026-06-02T10:15:44.0383994Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:44.0384563Z env:
2026-06-02T10:15:44.0384825Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-02T10:15:44.0385182Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:44.0385468Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:44.0385754Z ##[endgroup]
2026-06-02T10:15:44.1638071Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:44.1642523Z binary: rustc
2026-06-02T10:15:44.1645807Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-02T10:15:44.1684111Z commit-date: 2026-05-25
2026-06-02T10:15:44.1695492Z host: x86_64-pc-windows-msvc
2026-06-02T10:15:44.1702880Z release: 1.96.0
2026-06-02T10:15:44.1712176Z LLVM version: 22.1.2
